Bug 165409 - Kernel BUG at page_alloc:315
Kernel BUG at page_alloc:315
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Kernel BUG at page_alloc:315
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 22:01 EDT by Jason Rojas
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 03:23:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Rojas 2005-08-08 22:01:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at page_alloc:315                                                  
invalid operand: 0000 [1]       
CPU 0                                                                           
Modules linked in: dm_snapshot dm_mirror dm_zero dm_mod xfs jfs reiserfs ext3 jbd msdos raid6 raid5 xor raid1 raid0 3w_9xxx tg3 sr_mod sd_mod scsi_mod loop nfs lockd sunrpc vfat fat cramfs                        
Pid: 364, comm: mke2fs Not tainted 2.6.9-1.667                                  
RIP: 0010:[<ffffffff80167060>] <ffffffff80167060>{__rmqueue+222}                
RSP: 0018:00000101ff7d3b30  EFLAGS: 00010002                                    
RAX: 0000000000000001 RBX: 0000010006da8c00 RCX: 0000000000001000               
RDX: 00000000001ac280 RSI: 0000010006da8c00 RDI: ffffffff8042c460               
RBP: ffffffff8042c5f8 R08: 0000000000000001 R09: ffffffff8042c628> next screen 
R10: 0000000000000000 R11: 000000000000002d R12: 0000000000000007
R13: 0000000000000080 R14: ffffffff8042c460 R15: 0000010006da7000
FS:  0000000000501ae0(0000) GS:ffffffff80503480(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000002a960545a8 CR3: 0000000000101000 CR4: 00000000000006e0
Process mke2fs (pid: 364, threadinfo 00000101ff7d2000, task 00000101ff76c370)
Stack: 00000000001ab200 000000000000002d ffffffff8042c460 ffffffff8042c670 
       0000000000000000 0000000000000000 ffffffff8042c680 0000000000000000 
       ffffffff80167575 ffffffff80193f61 
Call Trace:<ffffffff80167575>{buffered_rmqueue+262} <ffffffff80193f61>{blkdev_get_block+30} 
       <ffffffff8016792d>{__alloc_pag 55% 0} <ffffffff801645d3>{generic_file_buffered_write+320} 
       <ffffffff801ad20f>{inode_update_time+182} <ffffffff80164de7>{generic_file_aio_write_nolock+735} 
       <ffffffff80164f9a>{generic_file_write_nolock+158} <ffffffff801ad1ec>{inode_update_time+147} 
       <ffffffff801fb247>{selinux_file_permission+306} <ffffffff80135217>{autoremove_wake_function+0} 
       <ffffffff80195b93>{blkdev_file_write+26} <ffffffff8018a6d3>{vfs_write+207} 
       <ffffffff8018a7bb>{sys_write+69} <ffffffff801107a2>{system_call+126} 
       

Code: 0f 0b cf c9 36 80 ff ff ff ff 3b 01 48 8b 55 00 48 8d 43 28 
RIP <ffffffff80167060>{__rmqueue+222} RSP <00000101ff7d3b30>
 mm/page_alloc.c:259: spin_lock(mm/page_alloc.c:ffffffff8042c460) already locked by mm/page_alloc.c/403










Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.PXE Kickstarting a FC3 machine and this bug comes up everytime it tries to format any part of the file system.
2.
3.
  

Actual Results:  ----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at page_alloc:315                                                  
invalid operand: 0000 [1]       
CPU 0                                                                           
Modules linked in: dm_snapshot dm_mirror dm_zero dm_mod xfs jfs reiserfs ext3 jbd msdos raid6 raid5 xor raid1 raid0 3w_9xxx tg3 sr_mod sd_mod scsi_mod loop nfs lockd sunrpc vfat fat cramfs                        
Pid: 364, comm: mke2fs Not tainted 2.6.9-1.667                                  
RIP: 0010:[<ffffffff80167060>] <ffffffff80167060>{__rmqueue+222}                
RSP: 0018:00000101ff7d3b30  EFLAGS: 00010002                                    
RAX: 0000000000000001 RBX: 0000010006da8c00 RCX: 0000000000001000               
RDX: 00000000001ac280 RSI: 0000010006da8c00 RDI: ffffffff8042c460               
RBP: ffffffff8042c5f8 R08: 0000000000000001 R09: ffffffff8042c628> next screen 
R10: 0000000000000000 R11: 000000000000002d R12: 0000000000000007
R13: 0000000000000080 R14: ffffffff8042c460 R15: 0000010006da7000
FS:  0000000000501ae0(0000) GS:ffffffff80503480(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000002a960545a8 CR3: 0000000000101000 CR4: 00000000000006e0
Process mke2fs (pid: 364, threadinfo 00000101ff7d2000, task 00000101ff76c370)
Stack: 00000000001ab200 000000000000002d ffffffff8042c460 ffffffff8042c670 
       0000000000000000 0000000000000000 ffffffff8042c680 0000000000000000 
       ffffffff80167575 ffffffff80193f61 
Call Trace:<ffffffff80167575>{buffered_rmqueue+262} <ffffffff80193f61>{blkdev_get_block+30} 
       <ffffffff8016792d>{__alloc_pag 55% 0} <ffffffff801645d3>{generic_file_buffered_write+320} 
       <ffffffff801ad20f>{inode_update_time+182} <ffffffff80164de7>{generic_file_aio_write_nolock+735} 
       <ffffffff80164f9a>{generic_file_write_nolock+158} <ffffffff801ad1ec>{inode_update_time+147} 
       <ffffffff801fb247>{selinux_file_permission+306} <ffffffff80135217>{autoremove_wake_function+0} 
       <ffffffff80195b93>{blkdev_file_write+26} <ffffffff8018a6d3>{vfs_write+207} 
       <ffffffff8018a7bb>{sys_write+69} <ffffffff801107a2>{system_call+126} 
       

Code: 0f 0b cf c9 36 80 ff ff ff ff 3b 01 48 8b 55 00 48 8d 43 28 
RIP <ffffffff80167060>{__rmqueue+222} RSP <00000101ff7d3b30>
 mm/page_alloc.c:259: spin_lock(mm/page_alloc.c:ffffffff8042c460) already locked by mm/page_alloc.c/403










Expected Results:  Disk formatting OK and everything worked out.

Additional info:

I have tried it on a mirrored SATA setup using a 3ware card, and even a single drive setup via the 3ware card.
Comment 1 Dave Jones 2005-08-26 03:23:56 EDT
There's not a lot we can do right now if the kernel panics during the install. 
Ie, it's possible that we've fixed this bug already in an update, but it doesn't
really help you, as you can't get the update kernel onto the install CD without
some serious heavy lifting.

All I can suggest is to try FC4 instead.

You may also want to try memtest86 on that box, just to rule out memory problems.
This is certainly the first I've seen of this particular panic, so I'm a bit
suspicious.

Note You need to log in before you can comment on or make changes to this bug.